| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Private Member Functions | Private Attributes | List of all members
ZipFileInfo Class Reference
General

Zip file information. More...

`#include <ziphandler.h>`

## Public Member Functions
| ZipFileInfo ()
| ZipFileInfo (const ZipFileInfo &)
virtual | ~ZipFileInfo ()
od_uint16 | getDosNrDays () const
od_uint16 | getDosNrSec () const
const char * | getFileName () const
const char * | getFullFileName () const
od_uint16 | getHeaderLength (bool local) const
const char * | getLinkValue () const
const File::Permissions & | getPermissions () const
int | getTimeStampHeaderLength (bool local) const
od_uint16 | getZIP64Size (bool local) const
bool | hasModTime () const
bool | hasUIDGID () const
bool | isDirectory () const
bool | isHidden () const
bool | isSymbolicLink () const
bool | isSystem () const
bool | isWritable () const
bool | madeOnWindows () const
bool | needZIP64 (bool local) const
ZipFileInfo & | operator= (const ZipFileInfo &)
bool | operator> (const ZipFileInfo &) const
void | setAttr (const unsigned char *buf, bool fromwin)
void | setDosTimeDateModified (od_uint16 dosnrdays, od_uint16 dosnrsec)
void | setFileName (const char *, const FilePath &basepath)
void | setFullFileName (const char *, const FilePath &basepath)
void | writeAttrToBuffer (unsigned char *buf) const

## Public Attributes
bool | binary_ = true
BufferString | comment_
od_uint16 | compmethod_ = mUdf(od_uint16)
od_uint64 | compsize_ = mUdf(od_uint64)
od_uint32 | crc_ = mUdf(od_uint32)
od_uint32 | gid_ = mUdf(od_uint32)
bool | hasutcheader_ = false
od_stream_Pos | localheaderoffset_ = mUdf(od_stream_Pos)
Time::FileTimeSet & | times_
od_uint32 | uid_ = mUdf(od_uint32)
od_uint64 | uncompsize_ = mUdf(od_uint64)

## Private Member Functions
void | setFileNameInZip (const FilePath &basepath)

## Private Attributes
BufferString | filenminzip_
BufferString | fullfnm_
BufferString | linkvalue_
int | nrlevels_
File::Permissions & | perms_
bool | sourceiswin_
File::Type & | type_

## Detailed Description

Zip file information.

<>

## Constructor & Destructor Documentation

## ◆ ZipFileInfo() [1/2]

ZipFileInfo::ZipFileInfo | ( |  | ) |

## ◆ ZipFileInfo() [2/2]

ZipFileInfo::ZipFileInfo | ( | const ZipFileInfo & |  | ) |

## ◆ ~ZipFileInfo()

virtual ZipFileInfo::~ZipFileInfo | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ getDosNrDays()

od_uint16 ZipFileInfo::getDosNrDays | ( |  | ) | const

## ◆ getDosNrSec()

od_uint16 ZipFileInfo::getDosNrSec | ( |  | ) | const

## ◆ getFileName()

const char * ZipFileInfo::getFileName | ( |  | ) | const

## ◆ getFullFileName()

const char * ZipFileInfo::getFullFileName | ( |  | ) | const

## ◆ getHeaderLength()

od_uint16 ZipFileInfo::getHeaderLength | ( | bool | local | ) | const

## ◆ getLinkValue()

const char * ZipFileInfo::getLinkValue | ( |  | ) | const

## ◆ getPermissions()

const File::Permissions & ZipFileInfo::getPermissions | ( |  | ) | const
| inline

## ◆ getTimeStampHeaderLength()

int ZipFileInfo::getTimeStampHeaderLength | ( | bool | local | ) | const

## ◆ getZIP64Size()

od_uint16 ZipFileInfo::getZIP64Size | ( | bool | local | ) | const

## ◆ hasModTime()

bool ZipFileInfo::hasModTime | ( |  | ) | const

## ◆ hasUIDGID()

bool ZipFileInfo::hasUIDGID | ( |  | ) | const

## ◆ isDirectory()

bool ZipFileInfo::isDirectory | ( |  | ) | const

## ◆ isHidden()

bool ZipFileInfo::isHidden | ( |  | ) | const

## ◆ isSymbolicLink()

bool ZipFileInfo::isSymbolicLink | ( |  | ) | const

## ◆ isSystem()

bool ZipFileInfo::isSystem | ( |  | ) | const

## ◆ isWritable()

bool ZipFileInfo::isWritable | ( |  | ) | const

## ◆ madeOnWindows()

bool ZipFileInfo::madeOnWindows | ( |  | ) | const
| inline

## ◆ needZIP64()

bool ZipFileInfo::needZIP64 | ( | bool | local | ) | const

## ◆ operator=()

ZipFileInfo & ZipFileInfo::operator= | ( | const ZipFileInfo & |  | ) |

## ◆ operator>()

bool ZipFileInfo::operator> | ( | const ZipFileInfo & |  | ) | const

## ◆ setAttr()

void ZipFileInfo::setAttr | ( | const unsigned char * | buf,
|  | bool | fromwin )

## ◆ setDosTimeDateModified()

void ZipFileInfo::setDosTimeDateModified | ( | od_uint16 | dosnrdays,
|  | od_uint16 | dosnrsec )

## ◆ setFileName()

void ZipFileInfo::setFileName | ( | const char * | ,
|  | const FilePath & | basepath )

## ◆ setFileNameInZip()

void ZipFileInfo::setFileNameInZip | ( | const FilePath & | basepath | ) |
| private

## ◆ setFullFileName()

void ZipFileInfo::setFullFileName | ( | const char * | ,
|  | const FilePath & | basepath )

## ◆ writeAttrToBuffer()

void ZipFileInfo::writeAttrToBuffer | ( | unsigned char * | buf | ) | const

## Member Data Documentation

## ◆ binary_

bool ZipFileInfo::binary_ = true

## ◆ comment_

BufferString ZipFileInfo::comment_

## ◆ compmethod_

od_uint16 ZipFileInfo::compmethod_ = mUdf(od_uint16)

## ◆ compsize_

od_uint64 ZipFileInfo::compsize_ = mUdf(od_uint64)

## ◆ crc_

od_uint32 ZipFileInfo::crc_ = mUdf(od_uint32)

## ◆ filenminzip_

BufferString ZipFileInfo::filenminzip_
| private

## ◆ fullfnm_

BufferString ZipFileInfo::fullfnm_
| private

## ◆ gid_

od_uint32 ZipFileInfo::gid_ = mUdf(od_uint32)

## ◆ hasutcheader_

bool ZipFileInfo::hasutcheader_ = false

## ◆ linkvalue_

BufferString ZipFileInfo::linkvalue_
| private

## ◆ localheaderoffset_

od_stream_Pos ZipFileInfo::localheaderoffset_ = mUdf(od_stream_Pos)

## ◆ nrlevels_

int ZipFileInfo::nrlevels_
| private

## ◆ perms_

File::Permissions& ZipFileInfo::perms_
| private

## ◆ sourceiswin_

bool ZipFileInfo::sourceiswin_
| private

## ◆ times_

Time::FileTimeSet& ZipFileInfo::times_

## ◆ type_

File::Type& ZipFileInfo::type_
| private

## ◆ uid_

od_uint32 ZipFileInfo::uid_ = mUdf(od_uint32)

## ◆ uncompsize_

od_uint64 ZipFileInfo::uncompsize_ = mUdf(od_uint64)

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025